
<div class="signPage">
    <div class="middleSign">
        <div class="infoAboutSite">
            <h1 routerLink = "/home" [ngStyle] = "{'cursor':'pointer'}">Jobland</h1>
            <img src = "https://www.campusfrance.org/sites/default/files/medias/images/2020-07/vignette-job-bis.jpg" />
        </div>
        <div class="form">
            <div class="toggle user_client">
                <span class="switcher switcher-1 user">
                  <input type="checkbox" id="switcher-1" (change) = "UserToggle($event)">
                  <label for="switcher-1"></label>
                </span>
            </div>
            <div class="formForUser fillForm" *ngIf="user[0]">
                <div class="signUpForUser flex" *ngIf="user[1]">
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Name</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Email</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Company name</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Password</mat-label>
                        <input type = "password" matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <button mat-raised-button color="primary">Sign Up</button>
                </div>
                <div class="signInForUser flex" *ngIf="!user[1]">
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Email</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Password</mat-label>
                        <input type = "password" matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <button mat-raised-button color="primary">Sign In</button>
                </div>
            </div>
            <div class="formForClient fillForm" *ngIf="!user[0]">
                <div class="signUpForClient flex" *ngIf="user[1]">
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Name</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Email</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Age</mat-label>
                        <input matInput type = "number" [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Phone Number</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label>Category</mat-label>
                            <mat-select name="food" >
                              <mat-option *ngFor="let category of categories" [value]="category">
                                {{category}}
                              </mat-option>
                        </mat-select>
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label>Experience</mat-label>
                            <mat-select name="food" >
                              <mat-option value="yes">
                                Yes
                              </mat-option>
                              <mat-option value="no">
                                No
                              </mat-option>
                        </mat-select>
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">min salary </mat-label>
                        <input type = "number" matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">max salary</mat-label>
                        <input type = "number" matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Password</mat-label>
                        <input type = "password" matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <button mat-raised-button color="primary">Sign Up</button>
                </div>
                <div class="signInForClient flex" *ngIf="!user[1]">
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Email</mat-label>
                        <input matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <mat-form-field class="example-full-width">
                        <mat-label [ngStyle] = "{'color':'white'}">Password</mat-label>
                        <input type = "password" matInput [ngStyle] = "{'color':'white'}" >
                    </mat-form-field>
                    <button (click) = "logIn()" mat-raised-button color="primary">Sign In</button>
                </div>
            </div>
            <div class = "switch">
                <div class="toggle">
                    <span class="switcher switcher-1">
                      <input type="checkbox" id="switcher-1" (change) = "ChangeToggle($event)">
                      <label for="switcher-1"></label>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="area" >
    <ul class="circles">
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
            <li></li>
    </ul>
</div >